package com.pixelized.desktop.lwa

import androidx.compose.ui.window.application
import com.pixelized.shared.lwa.sharedModuleDependencies
import org.koin.compose.KoinContext
import org.koin.core.context.startKoin
import javax.swing.UIManager

fun main() {
    UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName())
    startKoin {
        modules(modules = sharedModuleDependencies + appModuleDependencies)
    }
    application {
        KoinContext {
            LwaApplication()
        }
    }
}